//-----------------------------------------------------------------------
// <copyright file=" im_header.cs">
// * FileName: im_header.cs
// * history : 2019-03-14 10:25:59 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;

namespace Performance.EntityModels	
{
    /// <summary>
    /// im_header Entity Model
    /// </summary>
    public class im_header
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
		public int ID { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> SheetID { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> ParentID { get; set; }
    
        /// <summary>
        /// 行坐标
        /// </summary>
        public Nullable<int> PointRow { get; set; }
    
        /// <summary>
        /// 列坐标
        /// </summary>
        public Nullable<int> PointCell { get; set; }
    
        /// <summary>
        /// 是否合并 1 合并 2 不合并
        /// </summary>
        public Nullable<int> IsMerge { get; set; }
    
        /// <summary>
        /// 合并行
        /// </summary>
        public Nullable<int> MergeRow { get; set; }
    
        /// <summary>
        /// 合并列
        /// </summary>
        public Nullable<int> MergeCell { get; set; }
    
        /// <summary>
        /// 单元格内容
        /// </summary>
        public string CellValue { get; set; }
    }
}
